v.db.renamecolumn(1)

NAME
v.db.renamecolumn - Renames a column in the attribute table connected to a given vector map.

KEYWORDS
vector, attribute table, database, rename

SYNOPSIS
v.db.renamecolumn
v.db.renamecolumn --help
v.db.renamecolumn map=name [layer=string] column=oldcol,newcol [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of vector map
    Or data source for direct OGR access

layer=string
    Layer number or name
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

column=oldcol,newcol [required]
    Old and new name of the column (old,new)

DESCRIPTION
v.db.renamecolumn renames a column in the attribute table connected to a given vector map. It automatically checks the connection for the specified layer.

NOTES
If the map table is connected through the DBF or SQLite drivers, the renaming is internally done by adding a new column with new name, transferring the contents of the old column to the new column and dropping the old column. This is needed as DBF or SQLite do not support "ALTER TABLE" command to rename columns. Due to this the renamed column is found as last column of the table, it’s original position cannot be maintained.

The SQLite driver will exit with an error if the column rename involves only a change of case, i.e., upper-to-lowercase, or lower-to-uppercase. The SQLite protocol considers "NAME" and "name" to be identical column names. In cases like these, the user should rename the original column to an intermediary name, then rename the intermediary to the final name.

EXAMPLES
Renaming a column:

g.copy vect=roadsmajor,myroads
v.info -c myroads
v.db.renamecolumn myroads column=ROAD_NAME,roadname
v.info -c myroads

SEE ALSO
db.execute, v.db.addcolumn, v.db.addtable, v.db.connect, v.db.dropcolumn, v.db.droptable, v.db.select, v.db.update
GRASS SQL interface

AUTHOR
Markus Neteler

Last changed: $Date$

SOURCE CODE

Available at: v.db.renamecolumn source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual